Bug 1124085 - [abrt] inkscape: Inkscape::Text::Layout::iterator::prevLineCursor(): inkscape killed by SIGSEGV
Summary: [abrt] inkscape: Inkscape::Text::Layout::iterator::prevLineCursor(): inkscape...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: inkscape
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:13fd67b1c0fb34be9ba6aa57693...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 00:20 UTC by Steve Isaacson
Modified: 2015-06-29 21:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:49:24 UTC


Attachments (Terms of Use)
File: backtrace (37.46 KB, text/plain)
2014-07-29 00:20 UTC, Steve Isaacson
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-29 00:20 UTC, Steve Isaacson
no flags Details
File: core_backtrace (14.25 KB, text/plain)
2014-07-29 00:20 UTC, Steve Isaacson
no flags Details
File: dso_list (12.51 KB, text/plain)
2014-07-29 00:20 UTC, Steve Isaacson
no flags Details
File: environ (2.56 KB, text/plain)
2014-07-29 00:20 UTC, Steve Isaacson
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-29 00:20 UTC, Steve Isaacson
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-29 00:21 UTC, Steve Isaacson
no flags Details
File: maps (62.90 KB, text/plain)
2014-07-29 00:21 UTC, Steve Isaacson
no flags Details
File: open_fds (887 bytes, text/plain)
2014-07-29 00:21 UTC, Steve Isaacson
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2014-07-29 00:21 UTC, Steve Isaacson
no flags Details
File: var_log_messages (361 bytes, text/plain)
2014-07-29 00:21 UTC, Steve Isaacson
no flags Details

Description Steve Isaacson 2014-07-29 00:20:52 UTC
Description of problem:
Copy and paste image from the "Screenshot" program via Clipboard (unix machine)
Draw two boxes. Add text to a box.
boom

Version-Release number of selected component:
inkscape-0.48.5-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        inkscape
crash_function: Inkscape::Text::Layout::iterator::prevLineCursor
executable:     /usr/bin/inkscape
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 3
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 Inkscape::Text::Layout::iterator::prevLineCursor at libnrtype/Layout-TNG-OutIter.cpp:783
 #1 Inkscape::Text::Layout::iterator::cursorUp at libnrtype/Layout-TNG-OutIter.cpp:969
 #2 sp_text_context_root_handler at text-context.cpp:1074
 #3 sp_event_context_virtual_root_handler at event-context.cpp:942
 #4 sp_event_context_root_handler at event-context.cpp:935
 #5 sp_desktop_root_handler at desktop-events.cpp:67
 #6 sp_marshal_BOOLEAN__POINTER at helper/sp-marshal.cpp:124
 #10 gtk_signal_emit at gtksignal.c:360
 #11 emit_event at display/sp-canvas.cpp:1357
 #12 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86

Comment 1 Steve Isaacson 2014-07-29 00:20:55 UTC
Created attachment 921984 [details]
File: backtrace

Comment 2 Steve Isaacson 2014-07-29 00:20:56 UTC
Created attachment 921985 [details]
File: cgroup

Comment 3 Steve Isaacson 2014-07-29 00:20:57 UTC
Created attachment 921986 [details]
File: core_backtrace

Comment 4 Steve Isaacson 2014-07-29 00:20:58 UTC
Created attachment 921987 [details]
File: dso_list

Comment 5 Steve Isaacson 2014-07-29 00:20:58 UTC
Created attachment 921988 [details]
File: environ

Comment 6 Steve Isaacson 2014-07-29 00:20:59 UTC
Created attachment 921989 [details]
File: exploitable

Comment 7 Steve Isaacson 2014-07-29 00:21:00 UTC
Created attachment 921990 [details]
File: limits

Comment 8 Steve Isaacson 2014-07-29 00:21:02 UTC
Created attachment 921991 [details]
File: maps

Comment 9 Steve Isaacson 2014-07-29 00:21:03 UTC
Created attachment 921992 [details]
File: open_fds

Comment 10 Steve Isaacson 2014-07-29 00:21:03 UTC
Created attachment 921993 [details]
File: proc_pid_status

Comment 11 Steve Isaacson 2014-07-29 00:21:04 UTC
Created attachment 921994 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:30:06 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:49:24 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.